1. Announcement:
    Forum upgrade and temporary closure
    CADTutor ‎(Administrator)
    10th Aug 2018
    Views:
    165
+ Post New Thread
Page 1 of 574 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 14328

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 97,545
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 78,419
    18th Sep 2006 10:46 pm Go to last post
  1. How to access entities inside of an instance of a block

    I've looked everywhere and couldn't find a solution. All entities inside of that block is on layer "0". I want to select a block and change all entities inside of that "block instance" to color 2. ...

    Started by newbie32‎, Today 07:33 pm
    • Replies: 3
    • Views: 26
    Today 09:22 pm Go to last post
  2. File Saveas Lisp

    Good morning, I am asking on the chance that someone has done this. I am wanting to saveas a file, adding a suffix or prefix to the file name So Drawing.dwg becomes Drawing_Old.Dwg for example ...

    Started by Steven P‎, Today 10:07 am
    • Replies: 3
    • Views: 56
    Today 09:18 pm Go to last post
  3. Join endpoints of multiple polylines to common point

    Dear all, I am looking for a lisp routine that join endpoints of multiple polylines to common point. I do not need to join them into one polyline, just touch all in one point. Based on selection...

    Started by Jozef13‎, Yesterday 01:38 pm
    • Replies: 9
    • Views: 199
    Today 09:16 pm Go to last post
  4. AutoCAD set distance by lisp in a dynamic block

    Hi. Maybe someone here in this forum can help me. I'm trying to set the distance for a dynamic block of a single parameter; which is linear and is called Distance1. I do not know what I'm doing...

    Started by Romero‎, Today 05:17 am
    block, distance1, dynamic, lineal, parameter
    • Replies: 6
    • Views: 78
    Today 09:09 pm Go to last post
  5. A Simple Lisp: Plot, Select Printer, Plot Extents, Center the Plot, Click OK

    I do this routine roughly a hundred and 183 thousand times a day and it just occurred to me...why not try to see if I can find a lisp for it so that I can do it with a simple command. Again these...

    Started by Jim Clayton‎, Today 03:59 pm
    • Replies: 6
    • Views: 70
    Today 08:05 pm Go to last post
  6. Area split equal.

    Hello, I need one help to do a LISP that can execute it: get one irregular area, and split it according a specific aredea defined, like, 100 m², and I need to split it in 25 m² (I know that it...

    Started by CafeJr‎, 7th Oct 2013 08:13 pm
    6 Pages
    1 2 3 ... 6
    • Replies: 57
    • Views: 38,568
    Today 06:31 pm Go to last post
  7. Mass Move Blocks to Nearest Line

    I'm working on this LISP that moves selected blocks to the nearest line. I've been modifying an old LISP found at www.arch-pub.com/Move-point-perpendicular-to-line_10272335.html. That LISP works,...

    Started by Ohnoto‎, 11th Mar 2016 04:02 pm
    • Replies: 7
    • Views: 1,764
    Today 05:51 pm Go to last post
  8. Hello everybody,

    I need a complicated lisp for take information to attributes and choose blocks in cad file. So, I am working about Building Automation Systems, I am preparing "point list" and " connection diagram"...

    Started by volkansahin‎, Today 03:18 pm
    • Replies: 0
    • Views: 56
    Today 03:18 pm Go to last post
  9. move objects to layer depending on elevation

    I have found an Autolisp that could help me do it, but I need something else, and IDK what to do. I do not know Any Autolisp coding at all so don't be harsh.. Here it is: (defun C:pl2layer (/ ss...

    Started by ScoRm‎, Today 12:33 am
    • Replies: 5
    • Views: 77
    Today 03:03 pm Go to last post
  10. Story-Booking idea for a LISP

    I'm very new to creating LISPs but I want to learn. We have parallel lines (Blue & Cyan). At some points on the Blue line there is a perpendicular Blue line. At that intersection, the Cyan line...

    Started by jonhite‎, 14th Aug 2018 05:32 pm
    • Replies: 7
    • Views: 178
    Today 10:30 am Go to last post
  11. Scatter in multiple polyline

    Hi all found this awesome lisp http://www.cadtutor.net/forum/showthread.php?68154-Scatter-blocks-inside-a-polyline-or-some-kind-of-spray-tool-for-ACAD-... it's great but i want to make some...

    Started by loudy000‎, Yesterday 06:15 am
    • Replies: 2
    • Views: 105
    Today 09:39 am Go to last post
  12. Close a drawing through a LISP

    Good afternoon, I have been 'upgraded' to include linking my AutoCAD to projectwise (Document management database / software if you don't use it). Every time you close a drawing it will check...

    Started by Steven P‎, 3rd Aug 2018 02:16 pm
    • Replies: 6
    • Views: 237
    Today 09:32 am Go to last post
  13. HATCH Angle is not getting selected until I run the -hatchedit command

    Hi all, Here's a LISP that I'm having a problem with. Everything's working OK apart from getting the angle of the HATCH working. It doesn't work until I run it through a -hatchedit command....

    Started by 3dwannab‎, 14th Aug 2018 10:01 pm
    • Replies: 5
    • Views: 125
    Today 08:39 am Go to last post
  14. Export a table from multiple drawing to an Excel file

    Dears , kindly i searching for lisp or option to Export a table from multiple drawing to an Excel file.

    Started by wrha‎, Yesterday 12:42 pm
    • Replies: 4
    • Views: 88
    Today 08:24 am Go to last post
  15. LISP to Change Rotation Angle of Text back to 0 Degress

    Hi I have some text in AutoCAD that are sitting at all different degrees, I would like to run a script to basically keep the text where it is but reset the rotation angle back to 0. Does...

    Started by Bobzy20‎, 14th Aug 2018 09:39 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 240
    Today 04:22 am Go to last post
  16. List all door styles in ACA file?

    How do I list all door styles or all window styles in ACA? I want to make a script that checks if certain door/window styles are present in the drawing and applies a change to them.

    Started by micromachines‎, Today 01:44 am
    • Replies: 1
    • Views: 54
    Today 03:34 am Go to last post
  17. I have a LISP "QuickDimension", I'd like to approve this LISP,Would you see this lisp

    I have a LISP "QuickDimension", I'd like to approve this LISP,Would you see this lisp I want to fix two position. (defun c:qd(/ os dis hva a tem pt1 pt2 pt3 p1 p2 p3 dx dy ag ...

    Started by nest1291‎, 14th Aug 2018 01:12 am
    • Replies: 4
    • Views: 164
    Today 01:05 am Go to last post
  18. selection set based on layer and color of a given object

    Hi, I am trying something like this: (setq ed (entget (car (entsel)))) (setq lyr (cdr (assoc 8 ed))) (setq clr (cdr (assoc 62 ed))) How can I get a selection set based on layer and color...

    Started by tsotzo‎, Yesterday 11:06 am
    by color, by layer, selection sets, ssget
    • Replies: 5
    • Views: 85
    Yesterday 04:28 pm Go to last post
  19. Time bound Lisp

    Hi to all Can a lisp can be time bound ? :unsure: To be more specific i want a lisp, not to run after a certain date or time. It could be sounding funny but i just want to know its...

    Started by viviancarvalho‎, 23rd Nov 2010 09:50 am
    3 Pages
    1 2 3
    • Replies: 25
    • Views: 9,507
    Yesterday 03:20 pm Go to last post
  20. Change Layer and Create New Layer If Needed LISP

    Hello! So I've been Googling around the internet and am trying to find a LISP that, upon selecting an object, would place that object on a demo layer and if that layer is not present, would create...

    Started by PaulS00‎, 6th May 2016 04:49 pm
    2 Pages
    1 2
    • Replies: 15
    • Views: 3,705
    14th Aug 2018 08:58 pm Go to last post
  21. Simple Rectangle LISP

    We often need 15/16" tall rectangles at different lengths. I want to be able to select point a and point b and create a 15/16" tall rectangle perpendicular to the line between the 2 points (no line...

    Started by jonhite‎, 13th Aug 2018 03:53 pm
    • Replies: 8
    • Views: 231
    14th Aug 2018 03:47 am Go to last post
  22. Attribute alignment automatically as per standard.

    Hello Everyone, In my drawing file, there is lot of attributes to Align as per standard. (Attribute are in Block Reference). It will take lots of time to do with Manual. All the attribute are in...

    Started by acad1985‎, 1st Aug 2018 03:33 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 523
    11th Aug 2018 09:22 pm Go to last post
  23. Question Lisp to toggle layer only works for lines inside a block, unless I undo/redo it

    I wrote a short lisp to toggle a layer between frozen/thawed based on this post by Lee Mac: http://www.cadtutor.net/forum/showthread.php?68095-LISP-for-If-layer-is-frozen-thaw-it-and-vice-versa ...

    Started by jhadams82‎, 9th Aug 2018 04:53 pm
    • Replies: 3
    • Views: 181
    11th Aug 2018 09:38 am Go to last post
  24. Block Insert Lisp

    I am currently working for a cabinet company that provides drawings using over 250,000 different blocks. I am looking to see if anyone has written a lisp program that would make the insertion of...

    Started by Skilled Warrior‎, 13th Jul 2010 12:25 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 21,062
    11th Aug 2018 02:48 am Go to last post
  25. generate visibility states

    Is there a way for LISP to generate visibility states? If yes... then maybe import the block definition, from dwg file (1 file = 1 block) I'm combining lots of blocks into fewer blocks, by...

    Started by Emmanuel Delay‎, 10th Aug 2018 01:43 pm
    • Replies: 2
    • Views: 155
    10th Aug 2018 11:17 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts